Create RICAL
Roles
Analytics Events
/v1/ecosystems/{ecosystemId}/ricalsCreates a Reader Identity Certificate Authority List (RICAL) based on the policy of the requested ecosystem.
A RICAL configuration is required in order for RICALs to be created.
Analytic events
- ECOSYSTEM_RICAL_CREATE_START
- ECOSYSTEM_RICAL_CREATE_SUCCESS
- ECOSYSTEM_RICAL_CREATE_FAIL
Authorization
bearerAuth In: header
Path Parameters
The UUID of the ecosystem
uuidResponse Body
application/json
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/ricals"{
"ricalIssueID": 1337,
"date": "2024-07-28T23:01:13.000Z"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Delete VICAL configuration DELETE
Delete the VICAL configuration for the requested ecosystem
Retrieve all RICALs GET
Retrieves all RICALs available in the requested ecosystem. The response is a JSON list of the published RICALs and their version identifiers. To download an actual RICAL file (a CBOR encoded file matching the RICAL format defined in ISO/IEC 18013-5), call the [Retrieve specific RICAL](#operation/getRical) or [Retrieve latest RICAL](#operation/getLatestRical) endpoint. This endpoint is intended for public consumption, and as such does not require authentication. ### **Analytic events** * ECOSYSTEM_RICAL_RETRIEVE_LIST_START * ECOSYSTEM_RICAL_RETRIEVE_LIST_SUCCESS * ECOSYSTEM_RICAL_RETRIEVE_LIST_FAIL